-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 21.x 
--   Created on:     26/04/2024  18:00                        
--   Issue:          Solicitação de Aumento de Quadro (MP) - PORTAL DO GESTOR

-- ============================================================
-- Table: GPE_SOLICITACAODOCUMENTO
-- ============================================================

CREATE TABLE GPE_SOLICITACAODOCUMENTO (
    NRSOLICITACAODOCUMENTO    NUMBER(30) NOT NULL,
    NRSOLICITACAO             NUMBER NOT NULL,
    NRORG                     NUMBER(10) NOT NULL,
    DSPATH                    VARCHAR2(255) NOT NULL,
    NMFILE                    VARCHAR2(100) NOT NULL,
    IDTYPE                    VARCHAR2(100) NOT NULL,
    DSOBSSOLICITACAODOCUMENTO VARCHAR2(4000),
    DTINCLUSAO                DATE DEFAULT SYSDATE NOT NULL,
    DTULTATU                  DATE,
    NRORGINCLUSAO             NUMBER NOT NULL,
    CDOPERINCLUSAO            VARCHAR2(12),
    NRORGULTATU               NUMBER,
    CDOPERULTATU              VARCHAR2(12),
    IDATIVO                   VARCHAR2(1) DEFAULT 'S' NOT NULL,
    CONSTRAINT PK_GPE_SOLICITACAODOCUMENTOS PRIMARY KEY ( NRORG, NRSOLICITACAODOCUMENTO),
    CONSTRAINT FK_GPE_SOLICITACAO FOREIGN KEY (NRSOLICITACAO, NRORG)
        REFERENCES GPE_SOLICITACAO (NRSOLICITACAO, NRORG)
); 